diff -Nuar apache_1.3.22.orig/src/main/Makefile.tmpl apache_1.3.22/src/main/Makefile.tmpl
--- apache_1.3.22.orig/src/main/Makefile.tmpl	Fri Jun 23 03:22:27 2000
+++ apache_1.3.22/src/main/Makefile.tmpl	Fri Jul  5 12:28:49 2002
@@ -30,13 +30,17 @@
 	-rm -f Makefile
 
 uri_delims.h: gen_uri_delims
-	./gen_uri_delims >uri_delims.h
+	$(BUILD_CC) $(INCLUDES) $(BUILD_CC_FLAGS) $(CFLAGS) $(LDFLAGS) -o gen_uri_delims_host \
+	gen_uri_delims.c
+	./gen_uri_delims_host >uri_delims.h
 
 gen_uri_delims: gen_uri_delims.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o gen_uri_delims gen_uri_delims.o $(LIBS)
 
 test_char.h: gen_test_char
-	./gen_test_char >test_char.h
+	$(BUILD_CC) $(INCLUDES) $(BUILD_CC_FLAGS) $(CFLAGS) $(LDFLAGS) -o gen_test_char_host \
+	gen_test_char.c
+	./gen_test_char_host >test_char.h
 
 gen_test_char: gen_test_char.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o gen_test_char gen_test_char.o $(LIBS)
diff -Nuar apache_1.3.22.orig/src/modules/standard/mod_auth_db.module apache_1.3.22/src/modules/standard/mod_auth_db.module
--- apache_1.3.22.orig/src/modules/standard/mod_auth_db.module	Thu Apr 12 00:07:42 2001
+++ apache_1.3.22/src/modules/standard/mod_auth_db.module	Fri Jul  5 12:31:00 2002
@@ -4,9 +4,9 @@
     DB_LIB=''
     if ./helpers/TestCompile func db_create; then
         DB_VERSION='Berkeley-DB/3.x'
-    elif ./helpers/TestCompile lib db db_create; then
+    elif TLIB="-lpthread" ./helpers/TestCompile lib db db_create; then
         DB_VERSION='Berkeley-DB/3.x'
-        DB_LIB='-ldb'
+        DB_LIB='-ldb -lpthread'
     elif ./helpers/TestCompile func db_open; then
         DB_VERSION='Berkeley-DB/2.x'
     elif ./helpers/TestCompile lib db db_open; then
